summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorKarel Zak2007-03-14 14:10:18 +0100
committerKarel Zak2007-03-14 14:10:18 +0100
commit82640b11ba9fbb36e8d39c2a05671ef5f8011b68 (patch)
tree9b45cf0b2a10f10e1d2fd8a1575e74e36312d22d /autogen.sh
parentbuild-sys: remove aclocal.m4 from SCM (diff)
downloadkernel-qcow2-util-linux-82640b11ba9fbb36e8d39c2a05671ef5f8011b68.tar.gz
kernel-qcow2-util-linux-82640b11ba9fbb36e8d39c2a05671ef5f8011b68.tar.xz
kernel-qcow2-util-linux-82640b11ba9fbb36e8d39c2a05671ef5f8011b68.zip
tests: add library for LD_PRELOAD to manipulate with time() in tests
The cal command generates output that depends on time(). For reliable regression tests we need to use still same time. It seems that LD_PRELOAD is pretty simple way. Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index ffd8de950..d730a96a0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -44,7 +44,13 @@ DIE=0
echo "or see http://www.gnu.org/software/autoheader"
DIE=1
}
-
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to generate util-linux build-system."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/libtool"
+ DIE=1
+}
if test "$DIE" -eq 1; then
exit 1
fi
@@ -55,6 +61,7 @@ test -f mount/mount.c || {
}
autopoint --force
+libtoolize --copy --force
aclocal -I m4
automake --add-missing
autoconf